use axum_login::AuthSession;
use maud::{html, Markup, PreEscaped, DOCTYPE};

use crate::{feather_icons, state};

pub fn header(sess: &AuthSession<state::State>) -> Markup {
    let is_logged_in = sess.user.is_some();
    html! {
        (DOCTYPE)
        head {
            link rel="stylesheet" href="/assets/styles.css" {}
            link rel="icon" href="/assets/favicon.svg" {}
        }
        body hx-ext="preload" {
            header class="flex" {
                nav class="flex" {
                    h1 {
                        a href="/" { "lyrs" }
                    }
                    // ul class="flex"
                    // {
                    //     a href="/login" { "Login" }
                    // }
                }
                nav class="flex" {
                    ul class="flex"
                    {
                        // a href="/dashboard" {
                        //     (PreEscaped(FEATHER_ICON_LAYOUT))
                        //     "Dashboard"
                        // }
                        @if is_logged_in {
                            a href="/account" preload="" {
                                (PreEscaped(feather_icons::FEATHER_ICON_USER))
                                "Account"
                            }
                            a href="/app" preload="" {
                                (PreEscaped(feather_icons::FEATHER_ICON_LAYOUT))
                                "Dashboard"
                            }
                        } @else {
                            a href="/register" preload="" {
                                (PreEscaped(feather_icons::FEATHER_ICON_USER_PLUS))
                                "Register"
                            }
                            a href="/login" preload="" {
                                (PreEscaped(feather_icons::FEATHER_ICON_LOGIN))
                                "Login"
                            }
                        }
                    }
                }
            }
        }
    }
}

pub fn footer() -> Markup {
    html! {
        footer {
            script src="https://unpkg.com/htmx.org@1.9.8" crossorigin="anonymous" integrity="sha384-rgjA7mptc2ETQqXoYC3/zJvkU7K/aP44Y+z7xQuJiVnB/422P/Ak+F/AqFR7E4Wr" {}
            script src="https://unpkg.com/htmx.org@1.9.8/dist/ext/preload.js" crossorigin="anonymous" {}
        }
    }
}
